classification
Title: test_logging failure
Type: behavior Stage:
Components: Tests Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: bquinlan Nosy List: bquinlan, brian.curtin, georg.brandl, pitrou, vinay.sajip
Priority: release blocker Keywords:

Created on 2010-12-28 17:36 by pitrou, last changed 2011-01-03 07:31 by bquinlan. This issue is now closed.

Messages (4)
msg124808 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-12-28 17:36
This on the Windows Server 2008 buildbot:

(http://www.python.org/dev/buildbot/all/builders/AMD64%20Windows%20Server%202008%203.x)

Re-running test 'test_logging' in verbose mode
test_flat (test.test_logging.BuiltinLevelsTest) ... FAIL
test_nested_explicit (test.test_logging.BuiltinLevelsTest) ... FAIL
test_nested_inherited (test.test_logging.BuiltinLevelsTest) ... FAIL
test_nested_with_virtual_parent (test.test_logging.BuiltinLevelsTest) ... FAIL
test_callable_filter (test.test_logging.BasicFilterTest) ... FAIL
test_filter (test.test_logging.BasicFilterTest) ... FAIL
test_handler_filter (test.test_logging.CustomLevelsAndFiltersTest) ... FAIL
test_logger_filter (test.test_logging.CustomLevelsAndFiltersTest) ... FAIL
test_specific_filters (test.test_logging.CustomLevelsAndFiltersTest) ... FAIL
test_flush (test.test_logging.MemoryHandlerTest) ... FAIL
test_config0_ok (test.test_logging.ConfigFileTest) ... FAIL
test_config1_ok (test.test_logging.ConfigFileTest) ... FAIL
test_config2_failure (test.test_logging.ConfigFileTest) ... FAIL
test_config3_failure (test.test_logging.ConfigFileTest) ... FAIL
test_config4_ok (test.test_logging.ConfigFileTest) ... FAIL
test_config5_ok (test.test_logging.ConfigFileTest) ... FAIL
test_config6_ok (test.test_logging.ConfigFileTest) ... FAIL
test_output (test.test_logging.SocketHandlerTest) ... FAIL
test_persistent_loggers (test.test_logging.MemoryTest) ... FAIL
test_encoding_cyrillic_unicode (test.test_logging.EncodingTest) ... FAIL
test_encoding_plain_file (test.test_logging.EncodingTest) ... FAIL
test_warnings (test.test_logging.WarningsTest) ... FAIL
test_config0_ok (test.test_logging.ConfigDictTest) ... FAIL
test_config11_ok (test.test_logging.ConfigDictTest) ... FAIL
test_config12_failure (test.test_logging.ConfigDictTest) ... FAIL
test_config13_failure (test.test_logging.ConfigDictTest) ... FAIL
test_config1_ok (test.test_logging.ConfigDictTest) ... FAIL
test_config2_failure (test.test_logging.ConfigDictTest) ... FAIL
test_config2a_failure (test.test_logging.ConfigDictTest) ... FAIL
test_config2b_failure (test.test_logging.ConfigDictTest) ... FAIL
test_config3_failure (test.test_logging.ConfigDictTest) ... FAIL
test_config4_ok (test.test_logging.ConfigDictTest) ... FAIL
test_config4a_ok (test.test_logging.ConfigDictTest) ... FAIL
test_config5_ok (test.test_logging.ConfigDictTest) ... FAIL
test_config6_failure (test.test_logging.ConfigDictTest) ... FAIL
test_config7_ok (test.test_logging.ConfigDictTest) ... FAIL
test_config_10_ok (test.test_logging.ConfigDictTest) ... FAIL
test_config_8_ok (test.test_logging.ConfigDictTest) ... FAIL
test_config_9_ok (test.test_logging.ConfigDictTest) ... FAIL
test_listen_config_10_ok (test.test_logging.ConfigDictTest) ... FAIL
test_listen_config_1_ok (test.test_logging.ConfigDictTest) ... FAIL
test_manager_loggerclass (test.test_logging.ManagerTest) ... FAIL
test_braces (test.test_logging.FormatterTest) ... ok
test_dollars (test.test_logging.FormatterTest) ... ok
test_percent (test.test_logging.FormatterTest) ... ok
test_logrecord_class (test.test_logging.LogRecordFactoryTest) ... FAIL
test_child_loggers (test.test_logging.ChildLoggerTest) ... FAIL
test_queue_handler (test.test_logging.QueueHandlerTest) ... FAIL
test_file_created (test.test_logging.RotatingFileHandlerTest) ... FAIL
test_rollover_filenames (test.test_logging.RotatingFileHandlerTest) ... FAIL
test_should_not_rollover (test.test_logging.RotatingFileHandlerTest) ... FAIL
test_should_rollover (test.test_logging.RotatingFileHandlerTest) ... FAIL
test_last_resort (test.test_logging.LastResortTest) ... FAIL

======================================================================
FAIL: test_flat (test.test_logging.BuiltinLevelsTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_nested_explicit (test.test_logging.BuiltinLevelsTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_nested_inherited (test.test_logging.BuiltinLevelsTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_nested_with_virtual_parent (test.test_logging.BuiltinLevelsTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_callable_filter (test.test_logging.BasicFilterTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_filter (test.test_logging.BasicFilterTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_handler_filter (test.test_logging.CustomLevelsAndFiltersTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 411, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_logger_filter (test.test_logging.CustomLevelsAndFiltersTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 411, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_specific_filters (test.test_logging.CustomLevelsAndFiltersTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 411, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_flush (test.test_logging.MemoryHandlerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 500, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config0_ok (test.test_logging.ConfigFileTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config1_ok (test.test_logging.ConfigFileTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config2_failure (test.test_logging.ConfigFileTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config3_failure (test.test_logging.ConfigFileTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config4_ok (test.test_logging.ConfigFileTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config5_ok (test.test_logging.ConfigFileTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config6_ok (test.test_logging.ConfigFileTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_output (test.test_logging.SocketHandlerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 822, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_persistent_loggers (test.test_logging.MemoryTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 868, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_encoding_cyrillic_unicode (test.test_logging.EncodingTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_encoding_plain_file (test.test_logging.EncodingTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_warnings (test.test_logging.WarningsTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config0_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config11_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config12_failure (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config13_failure (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config1_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config2_failure (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config2a_failure (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config2b_failure (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config3_failure (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config4_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config4a_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config5_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config6_failure (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config7_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config_10_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================Warning -- logging._handlerList was modified by test_logging
test test_logging failed -- multiple errors occurred

FAIL: test_config_8_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_config_9_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_listen_config_10_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_listen_config_1_ok (test.test_logging.ConfigDictTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_manager_loggerclass (test.test_logging.ManagerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_logrecord_class (test.test_logging.LogRecordFactoryTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 1826, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_child_loggers (test.test_logging.ChildLoggerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_queue_handler (test.test_logging.QueueHandlerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 1851, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_file_created (test.test_logging.RotatingFileHandlerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 1977, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_rollover_filenames (test.test_logging.RotatingFileHandlerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 1977, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_should_not_rollover (test.test_logging.RotatingFileHandlerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 1977, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_should_rollover (test.test_logging.RotatingFileHandlerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 1977, in setUp
    BaseTest.setUp(self)
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

======================================================================
FAIL: test_last_resort (test.test_logging.LastResortTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\buildslave-py3k\3.x.curtin-win2008-amd64\build\lib\test\test_logging.py", line 93, in setUp
    self.assertFalse(self.logger1.hasHandlers())
AssertionError: True is not false

----------------------------------------------------------------------
msg124853 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2010-12-29 15:58
These failures in build 363 (using r87563) would occur if some stdlib code added a handler to the root logger before the start of test_logging. I see that build 364 doesn't show this failure, and it's testing r87564. From what I can see, the only changes in r87564 over r87563 are some wsgiref-related changes by Senthil - there's no logging interaction that I can see.

I had a look at some of the other buildbots and I haven't seen this problem there.

It could be timing related in some way but at this point I'm just scratching my head. Suggestions gratefully received :-(
msg125041 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2011-01-02 11:46
I think I've found the problem: test_concurrent_futures calls logging.critical, which registers a StreamHandler. This only happens when _wait_on_event and _signal_event fail on Win32.

There should be no reason to call logging.critical in a test, especially as the next line is assert False, <message>.

Perhaps the lines were left in by mistake: reassigning to Brian Quinlan.
msg125155 - (view) Author: Brian Quinlan (bquinlan) * (Python committer) Date: 2011-01-03 07:31
Fixed in r87673.
History
Date User Action Args
2011-01-03 07:31:37bquinlansetstatus: open -> closed

messages: + msg125155
resolution: fixed
nosy: georg.brandl, vinay.sajip, bquinlan, pitrou, brian.curtin
2011-01-02 11:46:27vinay.sajipsetassignee: vinay.sajip -> bquinlan

messages: + msg125041
nosy: + bquinlan
2010-12-29 15:58:55vinay.sajipsetnosy: georg.brandl, vinay.sajip, pitrou, brian.curtin
messages: + msg124853
2010-12-28 17:36:10pitroucreate